"""Definition of the Example Type content type
"""

from zope.interface import implements, directlyProvides

from Products.Archetypes import atapi
from Products.ATContentTypes.content import base
from Products.ATContentTypes.content import schemata

from medialog.mintype import mintypeMessageFactory as _
from medialog.mintype.interfaces import IExampleType
from medialog.mintype.config import PROJECTNAME

ExampleTypeSchema = schemata.ATContentTypeSchema.copy() + atapi.Schema((

    # -*- Your Archetypes field definitions here ... -*-

))

# Set storage on fields copied from ATContentTypeSchema, making sure
# they work well with the python bridge properties.

ExampleTypeSchema['title'].storage = atapi.AnnotationStorage()
ExampleTypeSchema['description'].storage = atapi.AnnotationStorage()

schemata.finalizeATCTSchema(ExampleTypeSchema, moveDiscussion=False)

class ExampleType(base.ATCTContent):
    """Description of the Example Type"""
    implements(IExampleType)

    portal_type = "Example Type"
    schema = ExampleTypeSchema

    title = atapi.ATFieldProperty('title')
    description = atapi.ATFieldProperty('description')

atapi.registerType(ExampleType, PROJECTNAME)
